JNA API 3.5.2-SNAPSHOT

## com.sun.jna.platform.win32
Class OaIdl.HREFTYPEbyReference

    java.lang.Object
      com.sun.jna.PointerType
          com.sun.jna.ptr.ByReference
              com.sun.jna.platform.win32.WinDef.DWORDbyReference
                  com.sun.jna.platform.win32.OaIdl.HREFTYPEbyReference

All Implemented Interfaces:
  NativeMapped

Enclosing interface:
  OaIdl

    public static class OaIdl.HREFTYPEbyReference

extends WinDef.DWORDbyReference

Constructor Summary
`OaIdl.HREFTYPEbyReference()`
`OaIdl.HREFTYPEbyReference(WinDef.DWORD value)`

Method Summary
`OaIdl.HREFTYPE` `getValue()`
`void` `setValue(OaIdl.HREFTYPE value)`

Methods inherited from class com.sun.jna.platform.win32.WinDef.DWORDbyReference
`setValue`

Methods inherited from class com.sun.jna.PointerType
`equals, fromNative, getPointer, hashCode, nativeType, setPointer, toNative, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OaIdl.HREFTYPEbyReference

    public OaIdl.HREFTYPEbyReference()

### OaIdl.HREFTYPEbyReference

    public OaIdl.HREFTYPEbyReference(WinDef.DWORD value)

Method Detail

### setValue

    public void setValue(OaIdl.HREFTYPE value)

### getValue

    public OaIdl.HREFTYPE getValue()

  Overrides:
    `getValue` in class `WinDef.DWORDbyReference`

JNA API 3.5.2-SNAPSHOT

Copyright © 2007-2013 Timothy Wall. All Rights Reserved.